Subject: bug#46784: closed (Re: bug#46784: [PATCH 1/2] guix: Add Zero-Clause BSD License.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 06 Mar 2021 10:42:02 +0000

Your bug report

#46784: [PATCH 1/2] guix: Add Zero-Clause BSD License.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46784: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46784
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#46784: [PATCH 1/2] guix: Add Zero-Clause BSD License.
From: Ludovic Courtès <[email-masked]>
To: Tobias Geerinckx-Rice <[email-masked]>
Cc: [email-masked], [email-masked], Nicolas Goaziou <[email-masked]>
Date: Sat, 06 Mar 2021 11:40:59 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

Tobias Geerinckx-Rice <[email-masked]> skribis:

> Nicolas Goaziou 写道：
>> OTOH, bsd-0 is not totally accurate either, because zero-clause BSD
>> is
>> not a BSD derivative. So, here come my nitpick: what about zero-bsd?
>
> I disagree (disclaimer: I'm the one who suggested ‘bsd-0’ to Alex :-)
> that accuracy is implied or valuable.  Guix maps ‘n-clause-BSD’ to
> ‘bsd-n’, we get (marginally) fewer requests to add ‘missing’ licences,
> all is well with the world.
>
> It's true that the 0-clause BSD licence was based on the ISC text;
> that doesn't make it any less of a BSD licence.  That requires 
> claiming that OpenBSD is not under a BSD licence either, which is
> a... certain kind of correct.

This is an interesting discussion :-), but in the interest of moving
forward, I applied the ‘bsd-0’ patch.

Thanks,
Ludo’.

Subject: [PATCH 1/2] guix: Add Zero-Clause BSD License.
From: Alexandros Theodotou <[email-masked]>
To: [email-masked]
Cc: Alexandros Theodotou <[email-masked]>
Date: Thu, 25 Feb 2021 23:41:49 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

* guix/licenses.scm (0bsd): New variable.
---
 guix/import/utils.scm | 1 +
 guix/licenses.scm     | 6 ++++++
 2 files changed, 7 insertions(+)

diff --git a/guix/import/utils.scm b/guix/import/utils.scm
index 2f5ccf7cea..09be1bf3dc 100644
--- a/guix/import/utils.scm
+++ b/guix/import/utils.scm
@@ -131,6 +131,7 @@ of the string VERSION is replaced by the symbol 'version."
   ;; Please update guix/licenses.scm when modifying
   ;; this list to avoid mismatches.
   (match str
+    ("0BSD"                        'license:0bsd)
     ("AGPL-1.0"                    'license:agpl1)
     ("AGPL-3.0"                    'license:agpl3)
     ("Apache-1.1"                  'license:asl1.1)
diff --git a/guix/licenses.scm b/guix/licenses.scm
index 1091eee67c..34a94093df 100644
--- a/guix/licenses.scm
+++ b/guix/licenses.scm
@@ -35,6 +35,7 @@
 (define-module (guix licenses)
   #:use-module (srfi srfi-9)
   #:export (license? license-name license-uri license-comment
+            0bsd
             agpl1 agpl3 agpl3+
             apsl2
             asl1.1 asl2.0
@@ -124,6 +125,11 @@
 ;;;
 ;;; Code:
 
+(define 0bsd
+  (license "Zero-Clause BSD"
+           "https://spdx.org/licenses/0BSD.html"
+           "https://opensource.org/licenses/0BSD"))
+
 (define agpl1
   (license "AGPL 1"
            "https://gnu.org/licenses/agpl.html"
-- 
2.30.1